#ifndef TOWERS_H
#define TOWERS_H

#include "game_data.h"

class Towers : public QObject
{
Q_OBJECT
public:
	explicit Towers(Game_Data * gd, QObject *parent = 0);
	bool AddTower(int playerId, int srcId, QPoint pos);
	void DelTower(QPoint pos);
	void update();
signals:
	void shot(srcSplashType src, int index, TowerType tw);
public slots:

private:
	Game_Data * gameData;
};

#endif // TOWERS_H
